#include<iostream>
#include<cmath>
using namespace std;
int main()
{
    int x1, x2, y1, y2;
    int rez;
    cin>>x1>>y1>>x2>>y2;
    if(x1==x2||y1==y2){
        rez=2;
    }
    else{
        if(abs(x1-x2)==abs(y1-y2)){
            rez=1;
        }
        else{
            rez=0;
        }
    }
    cout<<rez<<"\n";
    return 0;
}